Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Interface TripleMatch

All Known Implementing Classes:
  Triple

    public interface TripleMatch

Interface for triple matching; may become obsolete. do not assume this is stable. Triple matches are defined by subject, predicate, and object, and may be converted to triples [which in fact subsume the work of TripleMatch].

Author:
  Jeremy Carroll, kers

Method Summary
`Triple` | `asTriple()` Answer a Triple capturing this match.
`Node` | `getMatchObject()` If it is known that all triples selected by this match will have a common object, return that node, otherwise return null
`Node` | `getMatchPredicate()` If it is known that all triples selected by this match will have a common predicate, return that node, otherwise return null
`Node` | `getMatchSubject()` If it is known that all triples selected by this filter will have a common subject, return that node, otherwise return null

Method Detail

### getMatchSubject

    Node getMatchSubject()

  If it is known that all triples selected by this filter will have a common subject, return that node, otherwise return null

### getMatchPredicate

    Node getMatchPredicate()

  If it is known that all triples selected by this match will have a common predicate, return that node, otherwise return null

### getMatchObject

    Node getMatchObject()

  If it is known that all triples selected by this match will have a common object, return that node, otherwise return null

### asTriple

    Triple asTriple()

  Answer a Triple capturing this match.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP